# -*- coding:utf-8 -*-
"""
@author: yq
@time: 2024/1/2
@desc: 指标计算基类
"""
import abc
import os

from config import BaseConfig
from entitys import MetricFucResultEntity


class MetricBase(metaclass=abc.ABCMeta):
    _symbol = "MetricBase"

    def __init__(self, *args, **kwargs):
        pass

    def _get_image_path(self, file_name: str) -> str:
        image_path = os.path.join(BaseConfig.image_path, file_name)
        return image_path

    @abc.abstractmethod
    def calculate(self, *args, **kwargs) -> MetricFucResultEntity:
        pass
